Forum Clubic

Problemes dépendances xdtv (ubuntu)[RÉSOLU]

Bon je veux installer xdtv ,la version du repository debian a des dependances non satisfaites:
[cpp] xdtv: Dépend: libavcodec2 mais il n’est pas installable[/cpp]

bon tant pis ,on va installer le 1.9.3 au lieu du 2.1.1 probablement trop récente.

[cpp]sudo dpkg -i xawdecode_1.9.3-2_i386.deb
xawdecode dépend de libavcodec1 (>= 1:0.4.8-0.0) ; cependant :
Paquet libavcodec1 n’est pas installé.
[/cpp]

Qu a cela ne tienne installons libavcodec1

[cpp]sudo aptitude install libavcodec1
libavcodec1: Dépend: libvorbis0 (>= 1.0rc3-1)qui est un paquet virtuel[/cpp]

Ca devient relou
[cpp]sudo aptitude search libvorbis0
v libvorbis0 -
i libvorbis0a [/cpp]

bon
[cpp]sudo aptitude install libvorbis0
Pas de version candidate trouvée pour libvorbis0
[/cpp]

Et merde quelqu un l’a dans ses sources debian ??

EDIT:xdtv pour faire plaisir a jcp

C’est has been xawdecode … c’est xdtv qui est le plus à jour ;).

Je précises que http://forum.ubuntu-fr.org/viewtopic.php?pid=17980
ne résoud pas mon problème

Il y a un topic d’un dev xdtv sur Hfr :wink: (faut juste ajouter le rép Debian, car il est sous Debian, et c’est tt).

Tu parles de ces sources là ?

[cpp]deb http://xawdecode.sourceforge.net/debian/ binary/
deb-src http://xawdecode.sourceforge.net/debian/ source/
deb ftp://ftp.las.ic.unicamp.br/pub/debian-marillat unstable main
deb-src http://perso.wanadoo.fr/debian/ unstable main
deb ftp://ftp.nerim.net/debian-marillat/ unstable main
[/cpp]
SI c’est le cas je les avais deja et ca marches pas :frowning:

edit:lien http://forum.hardware.fr/forum2.php?config=hardwarefr.inc&cat=11&post=30172&position=542#t637593

possible, faut voir sur le topic.

J’ai aussi pour ma part quelques difficultés à l’installer, je viens d’y passer une heure et demi, et des erreurs persistent, et je n’ai toujours pas eu d’images, tout juste du son… pas de quoi se réjouir encore. :expressionless:
Je comprends pas pourquoi il y a autant de difficultés à l’installer. :??:
Mais contrairement à toi, j’avais libavcodec2 :smiley:

Tu peux filer un lien pour ce package , ou juste ton /etc/apt/sources.list stp?

Perso, j’y ai déjà accès par les serveurs officiels de la debian testing… Sinon, pour Debian (désolé!), tu peux la trouver ici (recherche google). Perso, celui que j’ai utilisé était :
libavcodec2_0.4.9-pre1-0sarge0.4_i386.deb

http://ftp.ankara.edu.tr/debian-marillat/dists/testing/main/binary-i386/
J’espère que ça t’aidera, car je ne connais pas, mais alors pas du tout ubuntu, et on dit que ces deux distribs deviennent de plus en plus incompatibles…

PS: si mon sources.list peut t’aider…
deb ftp://ftp2.fr.debian.org/debian/ testing main
deb-src ftp://ftp2.fr.debian.org/debian/ testing main
deb http://security.debian.org/ testing/updates main
deb ftp://ftp.nerim.net/debian-marillat/ testing main

Merci beaucoup je testerais ca demain.

Up énorme
Résolu.
On passe en breezy
Dépôts (entre autres)
[fixed]
deb http://www.geexbox.org/debian/ unstable main
deb http://rarewares.soniccompression.com/debian/packages/unstable/ ./
deb ftp://ftp.tux.org/java/debian/ unstable non-free
deb http://archive.ubuntu.com/ubuntu/ breezy main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ breezy-security main restricted universe
deb http://archive.ubuntu.com/ubuntu/ breezy-updates main restricted
deb http://backports.ubuntuforums.org/backports breezy-backports main universe
deb http://backports.ubuntuforums.org/backports breezy-extras main universe
deb http://jeroen.coekaerts.be/debian/ unstable main contrib non-free mirror

[/fixed]

on apt-get xdtv

puis
ln -s /usr/lib/libavcodec-cvs.so /usr/lib/libavcodec.so